#!/bin/sh

# NOTE: the middle part of the FilterTarget Parameters is argument passed to ImageMagick convert 
#		application. Feel free to try other filters.

# blur
filter[0]="-FilterTarget Parameters [ScriptFilterInput.png -blur 5x5 ScriptFilterOutput.png]"
# charcoal - useless (?)
filter[1]="-FilterTarget Parameters [ScriptFilterInput.png -charcoal 1 ScriptFilterOutput.png]"
# scale x2 y2
filter[2]="-FilterTarget Parameters [ScriptFilterInput.png -resize 200% ScriptFilterOutput.png]"	
# rotate 90 deg
filter[3]="-FilterTarget Parameters [ScriptFilterInput.png -rotate 90 ScriptFilterOutput.png]"	
# motion blur
filter[4]="-FilterTarget Parameters [ScriptFilterInput.png -motion-blur 5x50+5 ScriptFilterOutput.png]"	
# negate
filter[5]="-FilterTarget Parameters [ScriptFilterInput.png -negate 10 ScriptFilterOutput.png]"	
# oil paint (voronoi diagram-style drawing)
filter[6]="-FilterTarget Parameters [ScriptFilterInput.png -paint 5 ScriptFilterOutput.png]"	
# radial blur
filter[7]="-FilterTarget Parameters [ScriptFilterInput.png -radial-blur 90 ScriptFilterOutput.png]"	
# sharpen
filter[8]="-FilterTarget Parameters [ScriptFilterInput.png -sharpen 0x10 ScriptFilterOutput.png]"	
# swirl
filter[9]="-FilterTarget Parameters [ScriptFilterInput.png -swirl 90 ScriptFilterOutput.png]"	
# identity
filter[10]="-FilterTarget Parameters [ScriptFilterInput.png ScriptFilterOutput.png]"	
filter[11]="-FilterTarget Parameters [ScriptFilterInput.png -rotate 45 ScriptFilterOutp\                  
ut.png]"
filter[12]="-FilterTarget Parameters [ScriptFilterInput.png -resize 50% ScriptFilterOutput.png]"

# Blur / sharpen                                                                                          
blurFilter="-FilterTarget Type gauss StdDev"
expFilter="-FilterTarget Type power Pow "
filter[13]="-FilterTarget Parameters [ScriptFilterInput.png -brightness -15 ScriptFilterOutput.png]"
filter[14]="-FilterTarget Parameters [ScriptFilterInput.png -brightness -30 ScriptFilterOutput.png]"
filter[15]="-FilterTarget Parameters [ScriptFilterInput.png -brightness -45 ScriptFilterOutput.png]"
filter[16]="-FilterTarget Parameters [ScriptFilterInput.png -brightness -60 ScriptFilterOutput.png]"
filter[17]="-FilterTarget Parameters [ScriptFilterInput.png -brightness 15x15 ScriptFilterOutput.png]"
filter[18]="-FilterTarget Parameters [ScriptFilterInput.png -brightness 30x15 ScriptFilterOutput.png]"
filter[19]="-FilterTarget Parameters [ScriptFilterInput.png -brightness 45x15 ScriptFilterOutput.png]"
filter[20]="-FilterTarget Parameters [ScriptFilterInput.png -brightness 60x15 ScriptFilterOutput.png]"

if [ $# -lt 3 ];  then
	echo "Usage: "
	echo "    $0 texture.png outDir filterID (0-10)"
	echo "for filter ids see $0 " 
	exit
fi

Gx=0
Gy=0

outDir=$2


settings="./textureSynth.txt"
params=$params" -EnergyFn Type EnergyDiff Pow 2 -FilterTarget Type script Executable convert "
params=$params" -SymmetrySpace CropSymDims [1 1]"
echo ${filter[$3]}
./SymAnalogyImage $1 $settings $outDir $params ${filter[$3]}

cp "progress_f_000000.png" $outDir"/f.png"
gifsicle -d 0 -l ./progress_f*.gif > ./$outDir/anim_f.gif
gifsicle -d 0 -l ./progress_Sf*.gif > ./$outDir/anim_Sf.gif	
rm progress*
rm MeshFeatures.png
rm MeshTriangles.png




