#!/bin/sh

# NOTE: you can add the following arguments if pattern.png 
# is already a symmetry representation:
#  takeTargetDirectly="-FilterTarget Type special Directions InputIsSymSpace"


if [ $# -lt 3 ];  then
	echo "This script synthesizes a new texture with desired symmetry"
	echo "pattern. The synthesis depends on the image quilting:"
	echo "   Image Quilting for Texture Synthesis and Transfer"
	echo "   Efros and Freeman, SIGGRAPH 2001"
	echo "Usage: "
	echo "    $0 texture.png pattern.png outDir"
	exit
fi

optimiFile="./textureSynth.txt"
./SymAnalogyImage $1 $optimiFile $3 -trgSym $2	

echo ""
echo "Done! See result in $3/fp.png"

gifsicle -d 0 -l ./progress_f*.gif > ./$outDir/anim_f.gif
gifsicle -d 0 -l ./progress_Sf*.gif > ./$outDir/anim_Sf.gif	
rm progress*
rm targetSymmetry.png
rm targetSymmetryVis.png




